com.threerings.whirled.tools.xml

## Class SceneRuleSet

- java.lang.Object
- - com.threerings.whirled.tools.xml.SceneRuleSet

All Implemented Interfaces:
  com.threerings.tools.xml.NestableRuleSet

Direct Known Subclasses:
  StageSceneRuleSet

    public class SceneRuleSet
    extends Object
    implements com.threerings.tools.xml.NestableRuleSet

Used to parse a `SceneModel` from XML.

### Constructor Summary

Constructors
Constructor and Description
`SceneRuleSet()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addRuleInstances(String prefix, org.apache.commons.digester.Digester digester)`
`String` `getOuterElement()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SceneRuleSet

    public SceneRuleSet()

### Method Detail

#### getOuterElement

    public String getOuterElement()

Specified by:
  `getOuterElement` in interface `com.threerings.tools.xml.NestableRuleSet`

#### addRuleInstances

    public void addRuleInstances(String prefix,
                                 org.apache.commons.digester.Digester digester)

Specified by:
  `addRuleInstances` in interface `com.threerings.tools.xml.NestableRuleSet`